package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: OfficialLetterUploadPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:25
 */
@Data
public class Nft007OfficialLetterUploadPlatformResp implements Serializable {
    /**
     * 图片id
     */
    private Integer id;
    
    private static final Nft007OfficialLetterUploadPlatformResp obj = new Nft007OfficialLetterUploadPlatformResp();
    public static Nft007OfficialLetterUploadPlatformResp getNew() {
        try {
            return (Nft007OfficialLetterUploadPlatformResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft007OfficialLetterUploadPlatformResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
